update zone http ipaccess setting
update zone http ipaccess setting
curl -X POST "https://api.5centscdn.com/v2/zones/http/settings/security/ipaccess" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"enabled": "Y",
"policy": "Y",
"list": "1.2.3.4,10.0.0.0/8",
"ips": "1.1.1.1,192.168.1.10/30",
"mode": "save"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/zones/http/settings/security/ipaccess"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"enabled": "Y",
"policy": "Y",
"list": "1.2.3.4,10.0.0.0/8",
"ips": "1.1.1.1,192.168.1.10/30",
"mode": "save"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/zones/http/settings/security/ipaccess", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"enabled": "Y",
"policy": "Y",
"list": "1.2.3.4,10.0.0.0/8",
"ips": "1.1.1.1,192.168.1.10/30",
"mode": "save"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"enabled": "Y",
"policy": "Y",
"list": "1.2.3.4,10.0.0.0/8",
"ips": "1.1.1.1,192.168.1.10/30",
"mode": "save"
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/zones/http/settings/security/ipaccess", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/zones/http/settings/security/ipaccess')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"enabled": "Y",
"policy": "Y",
"list": "1.2.3.4,10.0.0.0/8",
"ips": "1.1.1.1,192.168.1.10/30",
"mode": "save"
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Zone Settings Updated"
}
/zones/http/settings/security/ipaccess
Target server for requests. Edit to use your own host.
API key (sent in header)
The media type of the request body
Enable or disable this feature. Y means enabled, N means disabled.
Y = Block listed IP addresses, N = Allow only listed IP addresses
Comma-separated IP addresses or CIDR ranges.
Comma-separated IPs excluded from access control.
Controls how the settings are applied to zones. save — only saves the settings, no changes will be made to existing zone settings. append — appends the values to existing zones data and updates. overwrite — overwrites the existing zones values, replacing them and updates.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Body
Controls how the settings are applied to zones. save — only saves the settings, no changes will be made to existing zone settings. append — appends the values to existing zones data and updates. overwrite — overwrites the existing zones values, replacing them and updates.
saveappendoverwriteResponses
Status of the API response.
Human-readable status or result message